#login-container h1 { font-weight: bold; font-size: 41px }

#login-container p {
    font-size: 14px;
    font-weight: 100;
    line-height: 20px;
    letter-spacing: 0.5px;
    margin: 20px 0 30px;
}



#login-container a {
    color: #333;
    font-size: 14px;
    text-decoration: none;
    margin: 15px 5px;
}
#login-container a:hover { text-decoration: underline }

#login-container button {
    border-radius: 20px;
    border: 1px solid #29ABE2;
    background-color: #29ABE2;
    color: #FFF;
    font-size: 12px;
    font-weight: bold;
    padding: 12px 45px;
    letter-spacing: 1px;
    text-transform: uppercase;
    transition: transform 80ms ease-in;
}

#login-container button:active {
    transform: scale(0.95);
}

#login-container button:focus {
    outline: none;
}

#login-container button.ghost {
    background-color: #FFF;
    color: #29ABE2
}

#login-container form {
    background-color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 50px;
    height: 100%;
    text-align: center;
}

#login-container input {
    background-color: #eee;
    padding: 12px 15px;
    margin: 8px 0;
    border-radius: 2px;
    height: 40px
}

#login-container {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 
            0 10px 10px rgba(0,0,0,0.22);
    position: relative;
    overflow: hidden;
    max-width: 900px;
    min-height: 580px;
}

#login-container .form-container {
    position: absolute;
    top: 0;
    height: 100%;
    transition: all 0.6s ease-in-out;
}

.sign-in-container {
    left: 0;
    width: 50%;
    z-index: 2;
}

#login-container.right-panel-active .sign-in-container {
    transform: translateX(100%);
}

.sign-up-container {
    left: 0;
    width: 50%;
    opacity: 0;
    z-index: 1;
}

#login-container.right-panel-active .sign-up-container {
    transform: translateX(100%);
    opacity: 1;
    z-index: 5;
    animation: show 0.6s;
}

@keyframes show {
    0%, 49.99% {
        opacity: 0;
        z-index: 1;
    }
    
    50%, 100% {
        opacity: 1;
        z-index: 5;
    }
}

.overlay-container {
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height: 100%;
    overflow: hidden;
    transition: transform 0.6s ease-in-out;
    z-index: 50;
}

#login-container.right-panel-active .overlay-container{
    transform: translateX(-100%);
}

.overlay {
    background: #FF416C;
    background: -webkit-linear-gradient(to right, #29abe2, #3F51B5);
    background: linear-gradient(to right, #29abe2, #3F51B5);;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 0 0;
    color: #FFFFFF;
    position: relative;
    left: -100%;
    height: 100%;
    width: 200%;
    transform: translateX(0);
    transition: transform 0.6s ease-in-out;
}

#login-container.right-panel-active .overlay {
    transform: translateX(50%);
}

.overlay-panel {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    top: 0;
    height: 100%;
    width: 50%;
    transform: translateX(0);
    transition: transform 0.6s ease-in-out;
}

.overlay-left {
    transform: translateX(-20%);
}

#login-container.right-panel-active .overlay-left {
    transform: translateX(0);
}

.overlay-right {
    right: 0;
    transform: translateX(0);
}

#login-container.right-panel-active .overlay-right {
    transform: translateX(20%);
}

.social-container a {
    border: 1px solid #DDDDDD;
    border-radius: 50%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0 5px;
    height: 40px;
    width: 40px;
    transition: all 1s
}
#login-container .social-container a:hover {
    text-decoration: none;
    background: #29ABE2;
    border-color: #fff;
    color: #fff
}
#login-container .flex input {
    width: calc(50% - 8px);
}

#login-container button.hexa {
    border: none;
    border-radius: 0;
    height: 40px;
}
#login-container button.hexa:before {
    height: 40px;
    left: -12px;
    background-image: url(images/before-buy.svg);
}
#login-container button.hexa:after {
    height: 40px;
    right: -12px;
    background-image: url(images/after-buy.svg);
}
#login-container button.ghost.hexa:before {
    left: -11px;
    background-image: url(images/before.svg);
}
#login-container button.ghost.hexa:after {
    background-image: url(images/after.svg);
}
#login-container .alert {
    position: absolute;
    width: 100%;
}
@media screen and (max-width: 576px) {
    #login-container, #login-container .form-container { width: 100% }
    #login-container.right-panel-active .sign-up-container { transform: none }
    #login-container form { padding: 0 20px }
}